BipodlessThanatos = BipodlessThanatos or {}
BipodlessThanatos.save_path = SavePath .. "bipodlessthanatos.txt"
BipodlessThanatos.mod_path = ModPath
BipodlessThanatos.settings = {
	biptha_toggle_no_bipod = true
}

function BipodlessThanatos:LoadSettings()
	local file = io.open(self.save_path, 'r')
	if file then
		for k, v in pairs(json.decode(file:read('*all')) or {}) do
			self.settings[k] = v
		end
		file:close()
	end
	self:SaveSettings()
end

function BipodlessThanatos:SaveSettings()
	local file = io.open(self.save_path, 'w')
	if file then
		file:write(json.encode(self.settings))
		file:close()
	end
end

function BipodlessThanatos:applyBipodSetting()
	if not not self.wftd then
		if self.settings.biptha_toggle_no_bipod then
			self:disableBipods()
		else
			self:enableBipods()
		end
	end
end

function BipodlessThanatos:disableBipods()
	local bp=self.wftd.wpn_fps_snp_m95.default_blueprint
	for k,v in pairs(bp)
	do
		if v=="wpn_fps_snp_m95_bipod" then
			table.remove(bp,k)
		end
	end
end

function BipodlessThanatos:enableBipods()
	local bp=self.wftd.wpn_fps_snp_m95.default_blueprint
	local notfound=true
	for k,v in pairs(bp)
	do
		if v=="wpn_fps_snp_m95_bipod" then
			notfound=false
		end
	end
	if notfound then
		table.insert(bp,"wpn_fps_snp_m95_bipod")
	end
end


Hooks:Add('MenuManagerInitialize', 'MenuManagerInitialize_BIPTHA', function(menu_manager)
	MenuCallbackHandler.BipThaMenuCheckbox = function(this, item)
		BipodlessThanatos.settings[item:name()] = item:value() == 'on'
		BipodlessThanatos:applyBipodSetting()
	end

	MenuCallbackHandler.BipThaSave = function(this, item)
		BipodlessThanatos:SaveSettings()
	end

	BipodlessThanatos:LoadSettings()
	BipodlessThanatos:applyBipodSetting()
	MenuHelper:LoadFromJsonFile(BipodlessThanatos.mod_path .. "menu.txt", BipodlessThanatos, BipodlessThanatos.settings)
end)

Hooks:Add('LocalizationManagerPostInit', 'LocalizationManagerPostInit_BIPTHA', function(loc)
	loc:load_localization_file(BipodlessThanatos.mod_path .. "loc/english.txt")
end)